%define upstream_name    Test-Exception-LessClever
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Test::Exception simplified
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Mock::Quick) >= 1.100.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildArch:  noarch

%description
An alternative to the Test::Exception manpage that is much simpler. This
alternative does not use fancy stack tricks to hide itself. The idea here
is to keep it simple. This also solves the Test::Exception bug where some
dies will be hidden when a DESTROY method calls eval. If a DESTROY method
masks $@ a warning will be generated as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.6.0-7pclos2017
- rebuild against updates

